package task06;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.LinkedList;

public class Task06 {

	/**
	 * TODO #06 (log4j)
	 */
	public void save() {
		File file = new File(getFilename());

		try {
			ObjectOutputStream oos = new ObjectOutputStream(
					new FileOutputStream(file));
			oos.writeObject(_mruFileList);
			oos.flush();
			oos.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	protected String getFilename() {
		String home = System.getProperty("user.home");
		String sep = System.getProperty("file.separator");

		return home + sep + "lf5" + sep + CONFIG_FILE_NAME;
	}

	// Constants:
	private static final String CONFIG_FILE_NAME = "mru_file_manager";

	private LinkedList<File> _mruFileList = new LinkedList<File>();
}