package task03;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Properties;

public class Task03 {
	/**
	 * TODO #03 (JFreeChart)
	 * <p>
	 * Loads a property set from the specified URL.
	 *
	 * @param url
	 *            the URL.
	 *
	 * @return The properties.
	 */
	public static Properties loadProperties(final URL url) {
		final Properties p = new Properties();
		try {
			InputStream in = new BufferedInputStream(url.openStream());
			p.load(in);
			in.close();
		} catch (Exception e) {
			System.err.println("Unable to load properties from " + url);
		}
		return p;
	}
}