package task15;

import java.io.File;
import java.io.FileFilter;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLClassLoader;
import java.util.jar.JarFile;

@SuppressWarnings("deprecation")
public class Task15 {
	/**
	 * TODO #15 (ArgoUML)
	 */
	public void loadModulesFromNamedDirectory(String dirname) {
		File extensionDir = new File(dirname);
		if (extensionDir.isDirectory()) {
			File[] file = extensionDir.listFiles(new JarFileFilter());
			for (int i = 0; i < file.length; i++) {
				JarFile jarfile = null;
				// Try-catch only the JarFile instantiation so we
				// don't accidentally mask anything in processJarFile.
				try {
					jarfile = new JarFile(file[i]);
					ClassLoader classloader = new URLClassLoader(
							new URL[] { file[i].toURL(), });
					Translator.addClassLoader(classloader);
					processJarFile(classloader, file[i]);
					jarfile.close();
				} catch (MalformedURLException ioe) {
					ioe.printStackTrace();
				} catch (IOException ioe) {
					ioe.printStackTrace();
				}
			}
		}
	}

	private void processJarFile(ClassLoader classloader, File file) {
	}

	static class JarFileFilter implements FileFilter {
		/*
		 * @see java.io.FileFilter#accept(java.io.File)
		 */
		public boolean accept(File pathname) {
			return (pathname.canRead() && pathname.isFile() && pathname
					.getPath().toLowerCase().endsWith(".jar"));
		}
	}
}