package task18;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

public class Task18 {
	public void foo() {
		// do nothing
	}

	/**
	 * TODO #18 (JHotDraw)
	 * <p>
	 * copied from org.jhotdraw.contrib.html
	 * 
	 * Gets the content attribute of the ResourceContentProducer object
	 * 
	 * @param context
	 *            Description of the Parameter
	 * @param ctxAttrName
	 *            Description of the Parameter
	 * @param ctxAttrValue
	 *            Description of the Parameter
	 * @return The content value
	 */
	public Object getContent(ContentProducerContext context,
			String ctxAttrName, Object ctxAttrValue) {
		// if we have our own resource then use it
		// otherwise use the one supplied
		String resourceName = (getResourceName() != null) ? getResourceName()
				: (String) ctxAttrValue;
		String result = null;
		InputStream reader = null;
		try {
			reader = new FileInputStream(resourceName);
			int available = reader.available();
			byte contents[] = new byte[available];
			int r = reader.read(contents, 0, available);
			System.out.println(r);
			result = new String(contents, StandardCharsets.UTF_8);
		} catch (FileNotFoundException ex) {
			ex.printStackTrace();
		} catch (IOException ex) {
			ex.printStackTrace();
		} finally {
			if (reader != null) {
				try {
					reader.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
		return result;
	}

	/** Description of the Field */
	private String fResourceName;

	public String getResourceName() {
		return fResourceName;
	}

	protected void setResourceName(String newResourceName) {
		fResourceName = newResourceName;
	}
}